Version Information
===================
Version 3.4.0.4
  1. Implement Privacy API.

Version 3.4.0.3
  1. Fixes to FontAwesome 5 including cache issue on theme url switch.

Version 3.4.0.2
  1. Update to FontAwesome 5.0.4 free: https://fontawesome.com/icons?m=free.

Version 3.4.0.1
  1. Beta for Moodle 3.4 with user tour reset and activity navigation.

Version 3.3.0.2
  1. Fix user menu icons.
  2. Fix too many anti-gravity icons.
  3. Fix unselected rows in the grading table.
  4. Fix button 'icon' colour.
  5. Fix file picker icons.
  6. Add ability to set and upload custom heading and body fonts.
  7. Added 'Seamless' option to 'Look and feel', which ignores all background settings and use page / text colours along with removing borders / shadows where needed.
  8. Fix table striping on course and category management page.
  9. Change input background to be more subtle.

Version 3.3.0.1
  1. Beta for Moodle 3.3.

Version 3.2.1.0
  1. Update to FontAwesome 4.7.0.
  2. Fix syntax highlight modal - related to MDLSITE-4887.

Version 3.2.0.1
  1. Beta for Moodle 3.2.
  2. Removed logo setting in favour of new core logo and compact logo.  Will automatically calculate height from the images.
  3. Add compact logo to navigation bar if there.
  4. Fixed goto bottom icon on inverse navbar.
  5. Fixed caret on inverse navbar.

Version 3.1.1.0
  1. Shoelace reinvented.
  2. MDL-39661.
  3. MDL-53152.
  4. Fix broken syntax highlighting JS loading.
  5. Add missing assign mod icons.
  6. Add missing file icons.
  7. Add icon SVG colour changing code.
  8. Fix maintenance layout.
  9. Page -> Background text colour so that setting is more descriptive.
 10. Navbar -> Theme text colour so that the setting is more descriptive.
 11. General tidy up of styles.
 12. Add background image settings.
 13. Tidy up Grader.
 14. Alternative MDL-55185 solution.
 15. Fix slide title colour with 'Beside' caption option.
 16. Fix opacity issue with the action menu when editing blocks.

Version 3.1.0.3
  1. Change in architecture a little for child themes.

Version 3.1.0.2
  1. Release candidate version for Moodle 3.1.
  2. Added favicon.ico.

Version 3.1.0.1
  1. Alpha version for Moodle 3.1 dev.

Version 3.0.2.2
  1. Update to FontAwesome 4.6.1.
  2. Implement MDL-53855 - Navbar should be in exactly one nav region, and that should be labelled.

Version 3.0.2.2rc
  1. Fixes to slide show - #4 - thanks to Justin Hunt.
  2. Tidy up slide show code.

Version 3.0.2.1rc
  1. Fix cdn template name.
  2. Add default_slide pix.

Version 3.0.2rc
  1. Style guide typo.
  2. Convert to Mustache templates.
  3. Fix: Course table of contents block navigation for fixed navbar.
  4. Use #595959 for dimmed text.
  5. Add 'aria-hidden=true' to 'Font Awesome' icons where possible.
  6. Update Style Guide improvements from Essential.
  7. Add external access to the Style Guide via moodlesite/theme/shoelace/pages/styleguide.php.
  8. Fix padding top for navbar.
  9. Add frontpage carousel.
 10. Update to FontAwesome 4.5.0.
 11. Added navbar scroll hide / show feature.
 12. Tidied up the settings.
 13. Added logo height setting.
 14. Turned on docking and adjusted navbar to suit.

Version 3.0.1
  1. Update .gitattributes file.
  2. Accessibility improvement to anti-gravity and go to bottom buttons.
  3. Implement MDL-51819.
  4. Use 'span' tags for icons instead of 'i' tags.
  5. TravisCI fixes.
  6. Add the 'Style guide' from Essential.
  7. Fix '#adminsettings h3' colour.
  8. Fix 'h1 h2 h3 h4 h5 h6' -> 'small' colour.
  9. Fix '.thumbnail .caption' colour.

Version 3.0.0.2
  1. Improvements to Toolbox.

Version 3.0.0.1
  1. Beta for Moodle 3.0.
  2. Code checker tidy up.
  3. Added Travis CI support: https://travis-ci.org/gjb2048/moodle-theme_shoelace.
  4. Changes to child theme mechanism.  For a child theme template, please contact me via https://about.me/gjbarnard.

Version 2.9.2.2
  1. Improvements to child theme support.
  2. Update to FontAwesome 4.4.0.

Version 2.9.2.1
  1. Improvements to child theme support for generated less variables and extra.
  2. Fix bug when using a logo.

Version 2.9.2
  1. html5shiv for IE8 or less.
  2. Implement MDL-50869.
  3. Add full version of bootstrap.js for markup that utilises it.
  4. Fix editor css.
  5. Child theme support.

Version 2.9.1
  1. Tidy up course summary box.

Version 2.9.0.2 - Release candidate.
  1. Tidy up dropdowns.
  2. Fix some svg core icons.
  3. Fixed course category icons.
  4. Fixed missing inclusion of 'custom.css'.
  5. Fixed grader report page.
  6. Migrated to new context_header().
  7. Migrated core renderer to use class autoloading.
  8. Updated required 'bootstrapbase' version to that in M2.9.
  9. Tidied up inverse navbar.
 10. Removed theme colour from background on drop-down menus for a cleaner look.
 11. Removed the text shadow on the button text.

23rd April 2015 - Version 2.9.0.1
  1. Moodle 2.9 development version.
  2. Converted to using the PHP LESS compiler instead of Grunt manually.
  3. Improved, cleaner look.
  4. Added setting to change the colour for the theme.

10th April 2015 - Version 2.8.2.1
  1. Slight tweak to coursename icon in front page combo list.
  2. Style tweaks.
  3. Fixed drop down caret being white on white on front page section when editing on if navbar text is white.
  4. Fixed overflowing tables issue - see: https://moodle.org/mod/forum/discuss.php?d=279883.
  5. Tidy up when have no blocks showing on a two column page and not editing.
  6. Fix new messages popup so no conflict with 'go to top' icon.

 5th February 2015 - Version 2.8.2
  1. Added dynamic marketing region to frontpage.
  2. Fixed 'shoelaceblocks' to allow drag and drop of blocks when editing and there are no existing blocks in the region.
  3. Update to FontAwesome 4.3.0.
  4. Update to core version of the user menu.
  5. Slight cosmetic tweaks.

22nd December 2014 - Version 2.8.1.3
  1. Fix svg files not having 'viewbox' property for IE.

20th December 2014 - Version 2.8.1.2.
  1. Fix course name icon.

20th December 2014 - Version 2.8.1.1.
  1. Cross fix from Essential of Grade Single View Report with Groups, issue: 409.
  2. CDN Font Awesome to 4.2.0.

 5th December 2014 - Version 2.8.1 - First stable release.
  1. Stable version for Moodle 2.8.
  2. Update to FontAwesome 4.2.0.
  3. Update Gruntfile.js.
  4. Added jQuery for back to top functionality.

16th November 2014 - Version 2.8.0.1 - Release candidate.
  1. Release candidate for Moodle 2.8.

17th August 2014 - Version 2.7.1.1
  1.  Implement suggested fix for MDL-42634.

14th August 2014 - Version 2.7.1 - Stable.
  1.  Update grunt task versions.
  2.  Implement svgmin from Shoehorn and apply.
  3.  Regenerate CSS against Moodle '2.7.1+ (Build: 20140807).

12th June 2014 - Version 2.7.0.2 - Beta.
  1.  Added Grunt compile script for creating CSS and SVG icons.

23rd May 2014 - Version 2.7.0.1 - Beta.
  1.  Initial beta version for Moodle 2.7.
  2.  Updated FontAwesome to 4.1.0.
  3.  Changed user icons to svg.
  4.  Added core 'e' pix folder that is new in M2.7.

30th March 2014 - Version 2.6.1.4
  1.  Fixed 'installable' issue with OTF version of FontAwesome locally in IE by removing the OTF file as a source, see:
      https://github.com/FortAwesome/Font-Awesome/issues/2517

17th March 2014 - Version 2.6.1.3
  1.  Put back logo serving code that was accidentally removed in version 2.6.0.2.
  2.  Note: The moodle.css file has been compiled against Moodle 2.6.2+ (Build: 20140314), if you need a previous version or are
            experiencing odd things, please recompile using the instructions in less/Readme_Less.md.

 6th March 2014 - Version 2.6.1.2
  1.  Fixed HTML blocks having centred content in the footer block.
  2.  Made all footer blocks the same height when editing so that they are easier to move.  Also prevents blocks becoming orphaned
      on a row when they should be on the next.
  3.  Updated LESS build process to no longer overwrite bootstrap variables.less file.

24th February 2014 - Version 2.6.1.1.
  1.  Fix situation where the 'cdnfonts' setting has not been created.
  2.  Added in FontAwesome used in the breadcrumb.
  3.  Fix editor sheet in wrong place in the configuration.
  4.  Implemented MDL-44074 for footer blocks.
  5.  Optimised header code by using tiles.
  6.  Applied a slightly better colour scheme using a purple colour for the text.
  7.  Updated the paper shadow effect.

 2nd January 2014 - Version 2.6.1 - Stable.
  1.  Implemented MDL-43348.
  2.  Recompiled LESS as a result of MDL-41788 and MDL-43062.
  3.  Updated screen shot to reflect updates.

30th November 2013 Version 2.6.0.3
  1.  Added ability to choose between local and CDN sources for fonts.  This means that I had to change Quicksand for Cabin
      as quite frankly the former looked awful when coming from CDN.  This was because I had used it as a content font but
      the variety available on CDN was limited and switching it around as the header with Varela Round did not look good
      either.  Thanks to Julian Ridden for showing the way with this.

29th November 2013 Version 2.6.0.2
  1.  Added popup layout from bootstrapbase.
  2.  Removed excluded grade sheet.
  3.  Updated to use M2.6 font serving mechanism.

15th November 2013 Version 2.6.0.1
  1.  Initial BETA code for Moodle 2.6.

 6th November 2013 Version 2.5.3 - Stable.
  1.  Fixed footer blocks showing up where they should not on single column pages.
  2.  Updated styles.

24th October 2013 Version 2.5.3 - BETA
  1.  Added footer blocks with a setting to set the maximum number of blocks per 'row' between 1 and 4.
  2.  Added the 'less' folder containing the files required to alter / recompile the css.  Instructions
      in the 'less/Readme_less.md' file.

16th August 2013 Version 2.5.2.2.
  1.  Implemented MDL-36011.
  2.  Adjusted table cell widths - https://moodle.org/mod/forum/discuss.php?d=234329.
  3.  Implemented $CFG->themedir safe font serving.
  4.  Improvements to grade book styling thanks to Julian Ridden.

29th July 2013 Version 2.5.2.1 - Maintenance release.
  1.  Implemented MDL-39812, MDL-39299, MDL-39748, MDL-40082, MDL-40071, MDL-40189, MDL-40589 and MDL-40544.
  2.  Added new font 'Varela Round' for headings so that they are separated from the main text.
  3.  Block headings are no longer all upper case as this looks silly.
  4.  Blocks use the warning background and border scheme so that they do not dominate the page.
  5.  Tidied up form buttons on screen sizes less than 480px.

29th June 2013 Version 2.5.2.
  1.  Updated to changes implemented by MDL-39824 and proposed by MDL-40065 but in a way that they are local to Shoelace and
      therefore should not require an update to core M2.5.
  2.  Updated styles to current fixes.
  3.  Added 'icon.png' to show when updating.
  4.  Implemented MDL-40137 to fix method names in 'lib.php'.
  5.  Fixes for RTL.
  6.  Changes to course CSS using Mary Evan's Afterburner code as documented on: https://moodle.org/mod/forum/discuss.php?d=230919.
  7.  Use chevron icons for the breadcrumb divider.  Correct direction used in both LTR and RTL.
  8.  Use 'pills' instead of 'tabs' for 'tabtree's -> http://twitter.github.io/bootstrap/components.html#navs.

 6th June 2013 Version 2.5.1.2
  1.  Adjusted layout such that both pre and post blocks appear on the left for left to right languages and on the right
      for right to left languages.
  2.  Added paper effect.
  3.  Tidied up some small font / background issues.

31st May 2013 Version 2.5.1.1
  1.  Tweaked css for course search box on the course category page.
  2.  Updated layouts from core.
  3.  Adjusted custom css setting so that when it changes its effects are applied immediately.
  4.  Fixed inverse setting.
  5.  Fixed no purge when setting footnote.
  6.  Reversed this version information list to make the latest updates easier to find.

15th May 2013 Version 2.5.1 - Stable
  1.  First stable version for Moodle 2.5 stable.
  2.  Updated 'general.php' file from 'bootstrapbase'.

13th May 2013 - Version 2.5.0.5 - Beta.
  1.  Removed language menu as appears to now rendering from Bootstrap Base.
  2.  Made configuration of maintenance template like other standard themes.
  3.  Updated moodle.css in line with updates in Bootstrap Base.
  4.  Made font easier to change.

 8th May 2013 - Version 2.5.0.4 - Beta.
  1.  Added and adapted image from flexible sections course format.
  2.  Added and adapted missing move here image from core.
  3.  Added display of language menu when required.
  4.  Added automatic 'Purge all caches' when upgrading.  If this appears not to work by lack of display etc. then perform a
      manual 'Purge all caches' under 'Home -> Site administration -> Development -> Purge all caches'.

 4th May 2013 - Version 2.5.0.3 - Beta.
  1.  Added bootstrapbase dependency in 'config.php'.
  2.  Changed colour of form headings from black to blue.
  3.  Added 'Upgrading' instructions and made some improvements to this readme.
  4.  Changed as many core images to blue as possible.
  5.  Fixed font path issue when Moodle is in a sub-folder.
  6.  Please perform a 'Purge all caches' under 'Home -> Site administration -> Development -> Purge all caches' when upgrading.

29th April 2013 - Version 2.5.0.2 - Beta
  1.  Updated to using 'Bootstrapbase' as a parent theme, thus requiring Moodle version 2013042600.00 release 2.5beta+ (Build: 20130426).
  2.  Updated 'general.php' layout file from new 'Clean' theme that was renamed from 'Simple'.  Appears to have fixed logo not showing issue
  3.  Changed 'config.php' to no longer exclude settings and navigation sheets.  Excluding them means that the naviagation block does not
      render correctly.
  4.  Adapted the css such that there is now a clean white background whilst retaining the sandy colour for the header and other elements such
      as tables.
  5.  Mary Evans now on board as a maintainer and co-developer :).
  6.  Please perform a 'Purge all caches' under 'Home -> Site administration -> Development -> Purge all caches' when upgrading.

24th April 2013 - Version 2.5.0.1 - Beta
  1.  Initial version for Moodle 2.5beta.
